libzypp 17.37.10

zypp::parser::yum::RepomdFileReader::Impl Class Reference
Inheritance diagram for zypp::parser::yum::RepomdFileReader::Impl:

## Public Member Functions
| Impl (const Pathname &repomd_file, ProcessResource &&callback)
| Ctro taking a ProcessResource callback.
bool | consumeNode (Reader &reader_r)
| Callback provided to the XML parser.
const std::set< std::string > & | keywords () const
| repo keywords parsed on the fly

## Private Member Functions
CheckSum | getChecksum (Reader &reader_r)
| Retrieve a checksum node.
ByteCount | getSize (Reader &reader_r)
| Retrieve a size node.

## Private Attributes
ProcessResource | _callback
| Function for processing collected data.
std::string | _typeStr
| The resource type string.
OnMediaLocation | _location
| Location of metadata file.
std::set< std::string > | _keywords
| repo keywords parsed on the fly

## Detailed Description

Definition at line 45 of file RepomdFileReader.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::parser::yum::RepomdFileReader::Impl::Impl | ( | const Pathname & | repomd_file,
|  | ProcessResource && | callback )
| inline

Ctro taking a ProcessResource callback.

Definition at line 49 of file RepomdFileReader.cc.

## Member Function Documentation

## ◆ consumeNode()

bool zypp::parser::yum::RepomdFileReader::Impl::consumeNode | ( | Reader & | reader_r | ) |

Callback provided to the XML parser.

Definition at line 102 of file RepomdFileReader.cc.

## ◆ keywords()

const std::set< std::string > & zypp::parser::yum::RepomdFileReader::Impl::keywords | ( |  | ) | const
| inline

repo keywords parsed on the fly

Definition at line 64 of file RepomdFileReader.cc.

## ◆ getChecksum()

CheckSum zypp::parser::yum::RepomdFileReader::Impl::getChecksum | ( | Reader & | reader_r | ) |
| inline private

Retrieve a checksum node.

Definition at line 69 of file RepomdFileReader.cc.

## ◆ getSize()

ByteCount zypp::parser::yum::RepomdFileReader::Impl::getSize | ( | Reader & | reader_r | ) |
| inline private

Retrieve a size node.

Definition at line 73 of file RepomdFileReader.cc.

## Member Data Documentation

## ◆ _callback

ProcessResource zypp::parser::yum::RepomdFileReader::Impl::_callback
| private

Function for processing collected data.

Passed-in through constructor.

Definition at line 79 of file RepomdFileReader.cc.

## ◆ _typeStr

std::string zypp::parser::yum::RepomdFileReader::Impl::_typeStr
| private

The resource type string.

Definition at line 82 of file RepomdFileReader.cc.

## ◆ _location

OnMediaLocation zypp::parser::yum::RepomdFileReader::Impl::_location
| private

Location of metadata file.

Definition at line 85 of file RepomdFileReader.cc.

## ◆ _keywords

std::set<std::string> zypp::parser::yum::RepomdFileReader::Impl::_keywords
| private

repo keywords parsed on the fly

Definition at line 87 of file RepomdFileReader.cc.

The documentation for this class was generated from the following file:

- zypp/parser/yum/RepomdFileReader.cc